
def decreaseBlue(picture):
      for p in getPixels(picture):
         value=getBlue(p)
         value = value * 0.7
         setBlue(p, value)

def decreaseGreen(picture):
      for p in getPixels(picture):
         value=getGreen(p)
         value = value * 0.7
         setGreen(p, value)

def increaseRed2(picture):
  for x in range(1,getWidth(picture)):
    for y in range(1,getHeight(picture)):
      px = getPixel(picture,x,y)
      value = getRed(px)
      setRed(px,value*1.1)


def clearBlue(picture):
  for p in getPixels(picture):
    bluevalue=0
    setBlue(p,bluevalue)

def clearGreen(picture):
  for p in getPixels(picture):
    greenvalue=0
    setGreen(p,greenvalue)

def clearRed(picture):
  for p in getPixels(picture):
    redvalue=0
    setRed(p,redvalue)

#This function copies a picture onto a canvas, without changing its size.
def copyPicture2(sourcePic,canvas,startX, startY):
# Input parameters are source picture, target picture
# target (X,Y) pixel location
  # Now do the actual copying
  targetX = startX
  for sourceX in range (1, getWidth(sourcePic)):
    targetY=startY
    for sourceY in range (1,getHeight(sourcePic)):
      color = getColor(getPixel(sourcePic,sourceX,sourceY))

      if(targetX < getWidth(canvas) and targetY < getHeight(canvas)):
        setColor(getPixel(canvas,targetX,targetY),color)
      targetY=targetY + 1
    targetX= targetX+1
  show(sourcePic)
  show(canvas)
  return canvas

def negative(pic):
  for p in getPixels (pic):
    r=getRed(p)
    b=getBlue(p)
    g=getGreen(p)
    setColor(p,makeColor(255-r,255-g,255-b))

#This function creates a collage that can easily be mirrored horizontally.
#It copies one image onto a canvas 4 different ways.
def collage(picture,canvas):
  print picture
  print canvas
  middleX = getWidth(canvas)/2
  middleY = getHeight(canvas)/2
  targetX = middleX - (getWidth(picture)*2)
  targetY = middleY - getHeight(picture)
  # Check placement values
  print middleX
  print middleY
  print targetX, targetY
  copyPicture2(picture,canvas,targetX, targetY)
  increaseRed2(picture)
  targetX = middleX - getWidth(picture)
  copyPicture2(picture,canvas,targetX,targetY)
  decreaseGreen(picture)
  targetX = middleX
  copyPicture2(picture,canvas,targetX,targetY)
  decreaseBlue(picture)
  targetX = middleX + getWidth(picture)
  copyPicture2(picture,canvas,targetX,targetY)
  return canvas

#First, give the function a name:
#This function mirrors a picture horizontally, so I called it horizontalMirror
def horizontalMirror(canvas):
  #Now, pick the point the picture will be mirrored across
  #this function will mirror horizontally, so divide the height by 2
  mirrorPoint=getHeight(canvas)/2
  #make a loop to go row by row, through the bottom half of the picture
  for y in range(1, mirrorPoint):
    #make another loop that goes through each pixel on each row
    for x in range(1, getWidth(canvas)):
      #First we find where we want to mirror to
      mirrorTo=getPixel(canvas, x, y+mirrorPoint)
      #Then we find where we want to get the image from that we are mirroring
      mirrorFrom=getPixel(canvas,x,mirrorPoint-y)
      #Finally, we set the color in the pixel that we want to hold the mirror image
      setColor(mirrorTo, getColor(mirrorFrom))



